/* ----------------------  analog_Serial_multiSensor  -----------------------
 *   Make analog sensors: 
 *  _Either_ Solar cell between A1 (red wire) and Gnd (Blk wire)
 *    or:
 *   Voltage Divider Setup- a voltage divider connected to analog 5 :
 *   1) -Wire a photoresister between +5vdc and an empty row on the breadboard
 *   2) -Wire a 10k resistor between that same row on the breadboard to ground.
 *   3) -Jumper wire from that same row to analog pin 1 (A1)
 *   4) -Wire an LED thru a 330 ohm resistor from digital pin 7 to gnd
 *   -Note: This sketch introduces the map() function for scaling values
 *------------------------------------------------------------------------*/
int a_in1, a_in2;         // create variables for storing analog readings
int sensorPin1 = A1;      // variable for analog pin as A1
int sensorPin2 = A2;      // variable for analog pin as A1

void setup() {
  Serial.begin(9600);            // start serial port at 9600 bps:
}

void loop() {
  // read sensor, store in variable, print
  a_in1 = analogRead(sensorPin1);       // get 10 bit analog value
  a_in2 = analogRead(sensorPin2);       // get 10 bit analog value  
//---- 1st read the range you're getting in as raw data, 
//     then uncomment, constrain and map to scale it to 8 bits
//--- First for sensor 1:
 a_in1 = constrain(a_in1, 150, 890);   
 a_in1 = map(a_in1, 150, 890, 0, 255); 
//--- Then for sensor 2:
 a_in2 = constrain(a_in2, 17, 97);   
 a_in2 = map(a_in2, 17, 97, 0, 255); 

  Serial.print(a_in1); 
  Serial.print(","); 
  Serial.println(a_in2); 
}